Bug 1988379

Summary: Avoid connection pool full logs
Product: OpenShift Container Platform Reporter: Maysa Macedo <mdemaced>
Component: NetworkingAssignee: Michał Dulko <mdulko>
Networking sub component: kuryr QA Contact: Itzik Brown <itbrown>
Status: CLOSED ERRATA Docs Contact:
Severity: low    
Priority: unspecified CC: itbrown
Version: 4.8Keywords: Triaged
Target Milestone: ---   
Target Release: 4.9.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1989550 (view as bug list) Environment:
Last Closed: 2021-10-18 17:43:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1989550    

Description Maysa Macedo 2021-07-30 12:35:05 UTC
Description of problem:

The `WARNING urllib3.connectionpool [-] Connection pool is full, discarding connection: <openstack-API>: queue.Full` is a common log message seen in the Kuryr-controller that often leads to questioning around the cause of it. Those logs can
be avoided by increasing the default pool size used by Keystone Service.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Michał Dulko 2021-08-03 12:54:29 UTC
Moving it to ON_QA immediately. The fix got merged a while ago and should be available in any recent 4.9 build.

Comment 3 Itzik Brown 2021-08-18 09:36:32 UTC
Didn't see an error as described in the bug
Verified in 4.9.0-0.nightly-2021-08-18-033031

Comment 6 errata-xmlrpc 2021-10-18 17:43:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759